using System;
using System.Collections.Generic;
using System.Text;
using System.Windows.Forms;

namespace ModelEx3
{
    class FileView : ListViewEx
    {
        String[] m_strFileNames;
        public String[] Files
        {
            get
            {
                return m_strFileNames;
            }
            set
            {
                m_strFileNames = value;
                Items.Clear();

                if (m_strFileNames == null)
                {
                    return;
                }

                foreach (String strFile in m_strFileNames)
                {
                    Items.Add(strFile);
                }
            }
        }

        public FileView() : base()
        {
            View            = View.Details;
            GridLines       = true;
            FullRowSelect   = true;
            Columns.Add("Textures", - 2);
        }
    }
}
